Bug 210757 - mail/fetchmail: pkg-plist error: there is no libexec/fetchmailconf.py
Summary: mail/fetchmail: pkg-plist error: there is no libexec/fetchmailconf.py
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-02 06:00 UTC by Ting-Wei Lan
Modified: 2016-07-31 14:19 UTC (History)
2 users (show)

See Also:
chalpin: maintainer-feedback+


Attachments
Simple patch to fix the problem (460 bytes, patch)
2016-07-02 06:00 UTC, Ting-Wei Lan
no flags Details | Diff
Proposed patch (483 bytes, patch)
2016-07-12 23:50 UTC, Corey Halpin
chalpin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2016-07-02 06:00:26 UTC
Created attachment 172035 [details]
Simple patch to fix the problem

Error found when X11 option is enabled:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: libexec/fetchmailconf.py
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/fetchmail
====>> Error: check-plist failures detected
Comment 1 Corey Halpin 2016-07-12 23:50:04 UTC
Created attachment 172444 [details]
Proposed patch

Submitter's patch fixes the case where X11 is enabled, but causes poudriere testport failures when X11 is disabled.  This version passes poudriere testport for X11 enabled as well as disabled.
Comment 2 Corey Halpin 2016-07-13 00:53:11 UTC
Btw, at this point I'm rather confused about how this hasn't been broken with X11 *disabled* since this commit:
  https://svnweb.freebsd.org/ports/head/mail/fetchmail/pkg-plist?r1=396138&r2=417187

After that commit, libexec/fetchmailconf.py definitely wasn't in the plist, but definitely was being installed. I've re-run poudriere testport using the version from HEAD several times, including after wiping my poudriere data dir, and it's consistently there.

In any case, the previous version was wrong and the attached patch does fix it. I'd appreciate it if someone could explain it to me though. :)
Comment 3 Ting-Wei Lan 2016-07-13 16:15:16 UTC
(In reply to Corey Halpin from comment #2)
Your patch is correct. Thanks.

Forgetting to list installed files in pkg-plist doesn't stop the build by default, but listing non-existent files in pkg-plist does.
Comment 4 commit-hook freebsd_committer 2016-07-31 14:17:41 UTC
A commit references this bug:

Author: kevlo
Date: Sun Jul 31 14:16:56 UTC 2016
New revision: 419379
URL: https://svnweb.freebsd.org/changeset/ports/419379

Log:
  Fix pkg-plist when X11 option is on.

  PR:	210757
  Submitted by:	Ting-Wei Lan <lantw44@gmail.com>
  Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)

Changes:
  head/mail/fetchmail/pkg-plist
Comment 5 Kevin Lo freebsd_committer 2016-07-31 14:19:14 UTC
Committed, thanks.